
Redmine - Feature #20967

Activity section doesn't show entries for some Issue changes

2015-10-13 00:33 - James H

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The Activity section is naturally understood as showing all recent activity on a project.

However, when I change an issue's subject, priority, or assignee, the activity section does not reflect any of these actions.

Activity page does show changes made to an Issue's status or if any comments are added to the issue.

History

#1 - 2020-12-12 16:43 - Yuuki NARA

+1

I also agree with displaying custom field changes and non-status changes in the activity list.

I have created a patch, so please use it if you need it.

https://github.com/redmine/redmine/compare/2f0f66bb29fb554f8e83019bcce7734265e6725c...196d5ba64c57069168a99f658c940f408a07f09f

Below is my Redmine fork.

https://github.com/y503unavailable/redmine/tree/feature-39-activitylist

I am remodeling the trunk.

Includes following changes.

https://www.redmine.org/issues/5358#note-108

https://www.redmine.org/issues/4939#note-56

#2 - 2025-01-07 11:23 - Florian Walchshofer

We would also be very interested in this update

The description field is important to us and also that it appears in the feeds

It would be good if these fields could also be set to appear in the activities or always all

can someone here take care of this update?

thank you

relatet issues #7358, #13314, #23660
